# Create Video Task (Old)

> Vidu legacy create video task endpoint.

Canonical URL: https://docs.uniall.ai/models/video/vidu/create-task-old
Locale: en

## Endpoint


```http
POST /v1/video/generations
```
## Header Parameters

| Name | Type | Required | Description | Example |
| --- | --- | --- | --- | --- |
| `Authorization` | string | No | | Bearer &#123;your_token&#125; |
## Request Body Parameters

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |
| `model` | string | Yes | Model name | viduq3p-540p, viduq3p-720p, viduq3p-1080p, viduq3t-540p, viduq3t-720p, viduq3t-1080p |
| `prompt` | string | Yes | prompt | only passprompt image-to-video |
| `image`| string | Yes | reference / reference | only pass image, pass `last_image`, image-to-video |
| `reference_image_urls` | array | Yes | mixmodereference | only mixmode, stringarray: Example: [, "https://example.com/ref-1.png", "https://example.com/ref-2.png"] |
| `last_image` | string | Yes | reference | pass both imageandlast_image first-and-last-frame video, does not supportonly pass last_image |
| `aspect_ratio` | string | Yes | Ratio | text-to-video; image-to-video pass in, result |
| `duration`| string | Yes | video () | allowed values:`1` `16` |
| `extra_body` | object | Yes | Parameters | |

## Request Examples

### text-to-video

```json
{
  "model": "viduq3p-720p",
  "prompt": " camera, and, slow camera push-in. ",
  "aspect_ratio": "16:9",
  "duration": 5,
  "extra_body": {
    "audio": false,
    "seed": 42,
    "bgm": false
  }
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "viduq3p-720p",
 "prompt": " camera, and, slow camera push-in. ",
 "aspect_ratio": "16:9",
 "duration": 5,
 "extra_body": {"audio": false,
 "seed": 42,
 "bgm": false}}'
```
### single-image-to-video

```json
{
  "model": "viduq3t-540p",
  "prompt": " camera, natural motion, camera. ",
  "image": "https://example.com/source.png",
  "duration": 5,
  "extra_body": {
    "seed": 42
  }
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "viduq3t-540p",
 "prompt": " camera, natural motion, camera. ",
 "image": "https://example.com/source.png",
 "duration": 5,
 "extra_body": {"seed": 42}}'
```
### first-and-last-frame video

```json
{
  "model": "viduq3p-1080p-offpeak",
  "prompt": ", keep identity stable, action. ",
  "image": "https://example.com/head.png",
  "last_image": "https://example.com/tail.png",
  "duration": 6
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "viduq3p-1080p-offpeak",
 "prompt": ", keep identity stable, action. ",
 "image": "https://example.com/head.png",
 "last_image": "https://example.com/tail.png",
 "duration": 6}'
```
### reference-image-to-video

```json
{
  "model": "viduq3p-mix-720p",
  "prompt": "A @Image1 walking through a beach in the visual style of @Image2",
  "reference_image_urls": [
    "https://example.com/ref-1.png",
    "https://example.com/ref-2.png"
  ],
  "aspect_ratio": "16:9",
  "duration": 5,
  "extra_body": {
    "audio": false,
    "seed": 42
  }
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "viduq3p-mix-720p",
 "prompt": "A @Image1 walking through a beach in the visual style of @Image2",
 "reference_image_urls": ["https://example.com/ref-1.png",
 "https://example.com/ref-2.png"],
 "aspect_ratio": "16:9",
 "duration": 5,
 "extra_body": {"audio": false,
 "seed": 42}}'
```
## Response Fields

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |


## Response Examples

### Success

```json
{
  "id": "task_xxxxx",
  "task_id": "task_xxxxx",
  "object": "video.generation.job",
  "model": "viduq3p-540p",
  "status": "queued",
  "progress": 0,
  "created_at": 1774507626
}
```
